import drawsvg as dw
import subprocess

# Novi crtez, dimenzije 800x800
# Levo gornje teme je na -400,-400
# (Donje desno teme je na 399,399)
d = dw.Drawing( 800, 800, origin=(-400, -400) )
d.append( dw.Rectangle( -400, -400, 800, 800, fill='yellow', stroke='black' ))
d.append( dw.Circle( 0, 0, 200, fill='rgb(250,150,150)' ))

# Ispisemo rezultat
print(d.as_svg())

# Sacuvamo rezultat u datoteci
filename = "my.svg"
svgfile = open( filename, "w" )
svgfile.write( d.as_svg() )
svgfile.close()

# Pokrenemo Inkscape da konvertuje sliku u PNG
outfilename = 'output.png'
cmd_list = [ 'C:\\Program Files\\Inkscape\\bin\\inkscape.exe', 
             '--export-filename=' + outfilename,
             filename ]
p = subprocess.run( cmd_list, capture_output=True )
if len( p.stdout ) > 0:
    print( p.stdout.decode('utf-8') )
if len( p.stderr ) > 0 or p.returncode:
    raise Exception( 'Inkscape error [' + str(p.returncode) + ']:\n' + p.stderr.decode('utf-8') )

# Procitamo i prikazemo bitmapu
from PIL import Image
with Image.open( outfilename ) as img:
    img.load()

print( img.format )
print( img.size )
print( img.mode )

img.show()
